## reminiscence 0.2.1

=== Makefile ===

SDL_CFLAGS = `sdl-config --cflags`
SDL_LIBS = `sdl-config --libs`

DEFINES = -DBYPASS_PROTECTION
#DEFINES = -DBYPASS_PROTECTION -DENABLE_PASSWORD_MENU -DNDEBUG

CXX = g++
CXXFLAGS := -g -O -Wall -Wuninitialized -Wshadow -Wimplicit -Wundef -Wreorder -Wnon-virtual-dtor -Wno-multichar
CXXFLAGS += -MMD $(SDL_CFLAGS) -DUSE_ZLIB $(DEFINES)

SRCS = collision.cpp cutscene.cpp file.cpp fs.cpp game.cpp graphics.cpp main.cpp menu.cpp \
	mixer.cpp mod_player.cpp piege.cpp resource.cpp scaler.cpp seq_player.cpp sfx_player.cpp \
	staticres.cpp systemstub_sdl.cpp unpack.cpp util.cpp video.cpp

OBJS = $(SRCS:.cpp=.o)
DEPS = $(SRCS:.cpp=.d)

LIBS = $(SDL_LIBS) -lz

-include Makefile.local

rs: $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f *.o *.d

-include $(DEPS)

=== debian/changelog ===
reminiscence (0.2.1) unstable; urgency=low

  * Initial release

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 15:04:44 +0200

=== debian/control ===
Source: reminiscence
Section: user/games
Priority: extra
Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libz-dev
Standards-Version: 3.7.3

Package: reminiscence
Architecture: armel
Depends: ${shlibs:Depends}
Description: REminiscence is a rewrite of the engine used in the game Flashback from Delphine Software.
 To play the game you need to put the original DOS version data files in /opt/maemo/usr/games/rsdata
XSBC-Homepage: http://cyxdown.free.fr/reminiscence/
XSBC-Bugtracker: http://cyxdown.free.fr/reminiscence/
XB-Maemo-Display-Name: REminiscence
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAd0SU1FB9wEDQ0LIpCOA5UAAB00SURBVGje7XpZkGZHdebJ7e7/XvXXXl1d
 S7d6b7WWVjdSI1mSJSEkFtnGEtYE2DPMAB5jmHGMDWEbD+AZG4wDE4DBlj2G8djCZrHEKgECtKDF
 aqnVW6m7qqtr/2v7t7vfm5lnHtoSbcc45mEeR1/ch4zMl5Pn3DznO18mwGt4Da/hNbyG/59BRsYO
 EMe2ooaSXNJUvf5d69ffLU3Ogra3ucm7rQiVazmlqTGnViW5aq7MeqGcnJxcS3232FMQnOvc4LQk
 LSL8Wm46JChDJ443W615pXxXdgtFp9XZ8ErOaHFnqVoNoziTshlFnTRcaa9v+K3NxHeEcWS4fsfO
 bWM188SF2S8+euo7LwTpy3NWpnKDGAqVYYsdQ6NX7dB55FTHnVKvYdpJ2CUjwzuMngHoLIMEQ/Fk
 zy3dY7eklqjPnw+OP85Wz4L0QxCe1ZeWR829+8zdRyyWdWZOpbPn5dSVzrZttFwThueIcDBuOlX3
 aqb7hCYqMmli8jzzm5wBITIM2hXmeIUSMEOYdkTC+fmLuUyFKZhh9vUWruh1Ri04vfzyQ2fWvvXc
 Uu6zzvHzGGURQScHLSxWc1KDAGFeT1nZtVJt0BEmGar1m6O7sNuANM8wYrySVmoes6ONizyNUUJG
 TUoSSTWnILTWTHe8HlHf2VPe7perOZE5VSZoHrbl6vKe2+66YXA4hwWPwUS9UhI0jbsUpGswg5Mo
 8b1CFZilFMu5areaHLBcKox4tFI1bZ6Hzc1Hzpz68on51Zinaxv+3FYcpXath23Gra024YoVK5Vt
 VyT7rzOFxpVzwUvPsB7XCZhT9hwZRwoNIwl01sTuhgJQKkEiETSAIkgIMESeoO1EmbG1EDVepBef
 FjMn2Px5I2oWe/p6Jyui2zk781Sj0xge6OvxXJrnBskN0BXH7C140D3V65Iem5a4cjWtWZzLaKi3
 3FstcQGporOrUUf1hHFcLJjVatXsq9Fa0ds23NrqOAXXLpj28LC398qB7XutYpFpEq40eUKokYWs
 MKBBMBIngqKCDAFzSIm2cgdFApoCaNSIAAJTDaA0ggZghtQaVFctBp2lmS3OnFrPwcPXHTh0cNQr
 WLm2XWvQcExbVj20VFLp4dRsK6pNbwgxjpTbWx83hQJOUiXaIWx2tZkle6vDGTdbcUqH9FYUzTbW
 26Nu7EuL11jPWIfaF5WJzrAYG3ZqE6xgVYkQxKJSIE8kQaRaM624dg2lgFqCaoV42bm/fEzwlSWF
 mmiUYbQ6e+HcT477Ohwb758sFeo90vaIMLVUoeGNguFxITiTRBSFXTFNl1OtCQlDtdUKwyjJBZUK
 C45XdQqcIgfqWu5Q30DGiGkYW81unmkKjo+mb3sdg7Jy0RSUoBal8lgrRyWcHLgijLImJzIb2a6t
 Aok65BVc2gAhBAAIoZcGl2YoIUwrAVrm+Va0UBbrN4xaXqmfGzXCyoZVkmaFiKJpu3EeSZZR0wSS
 xuFqkvI8t5KUREmUE2pwgxPKEbgAlatSoVSy3Gq93t9fT/IsDEJWdHItzNxw2wnXRikbm1JX3RZc
 cYQlUR4HkIUqDuTCojlzCi3Nzp1EQgAA/1kc/iUoEiAIJtEMse5ObRPXDGtPPq+yQWGXNRM5BaBE
 Ky8hDhRMQ2cIHirtWphogegYgjmOWzKsxsY6NzgQBAmEgsxTz/IyX3GT7zuws7weLiUxcfOObhIW
 c2f81vW3vc0q1yQx3MHeboTQbaRpLvp2xfuuLcStcOxK1l6zVs+z1XMq8SkKyTSiNBXmnF3yPSJq
 kAQJ0dwQpkK+Z9jcV2pCanAqNKUi7+bcprRKuUCUoE1ggaZAqJ3KprE13W6nXT5RqfZGMXqeH4St
 NNUhRKdWZteiwLZc2/SEWUJeLNs2cytFZjba3c7mIpc1sH707eLMSRK220dvotfc6fYP2FGq5Hpp
 riXPnEi3FrjfYVFHEZoy7ihKgWsgGaMEMgCglGqtAQilVEophOipGoMgKkmuSpoxrfIt1JiZVQs8
 AAFEE8pBMYE+BKtJ89l8+SSkYiVc6ZBisW/o5bnpzU6LmZZdKjbzZCsKMU0j6Bqim0Uk6mbtope3
 sRJi9vxxnjz3VReqROQBMfqef3Fpx7GwapuNl82/+bN0pcEzXxgp0RSVEBJsaiY0NjQBQE1QEQMR
 lVKXDrdSihCSpmlrcT0dqOe+cuo5Np5GGWkw7Mm7lTtCkAPRSLRS8zprYGcm23qapYktjWArPZe5
 0GpMT1/c2OxKJYvVmu+HzHaIY2cqz4RWEa6cvUg3I055o9tmKuc84ZxiLlQRrHXXhoFBY3GGPvDH
 bnM1oyiZNnNDlvpI/3hU6ZGeMOcvZFsbJGkjzYw401pffjYQUWudNej0Qsu/smxFvhZrTG4S4qZJ
 SB1NAAE0gmY6i7phiRdTUqLVPn+p4YfpuXVfK/7Mj06J3El8H8xFSBVwAx3LlHlbS88t0VakdJYr
 CYQlyDijXIoEuJNMHDbv+7f1wmjr63+EUTsUkkmO3hBM7HZvvkdUCkHjfPnRJ9P9t8mREVZQJtTi
 uWnylQ8bQTET66CMV/eg7PyJGT35DLtnp1+6spXFHeKUS1mLpK3MKlGU2HwhUSt2+7lEDEIC3Cnk
 alpulNe22lunItXOlWpTABVRAApKQhokhJqIMmojIiGEEo6ITOeM9hQqqZVMHOPvef+mcB3oNH/8
 qDt+JS/3RpVx6+jdcMNbRK9e++Kn3W/8Q6ojdtst1gOfkNDz5mNHRMVZW+2S9WmhuXolvRJCtCQK
 +cZGs7d/e5+xVgFPWKW4KGKWmmIPpi9m68/Y7eV840TmNxlDuTQ7FxQ+/dVzW4GOu1meSYKEIPln
 We+VfP0vAs7qZjkqOM59H9iqDKiAlGU3Y1b1zfe39l/Te+V17vBwZrLowb8svvh45DRZN7WX1sSe
 q9XJR809R+/YNTJNRPbC00prQPVKoQCKVFEaZHDi/GZRl3aOKGaERv2w6e7SRCh5wUsrsjba7SyZ
 W4ubq631pvnpf5h5cVml3TxOMoKEACVAgcBP6wylrzrokumISClldrHGORGH73aHyp4TwtkTbq0f
 W53w9CkrTUilPC8z8egXtd+xJU0JYm9dcir6Dtf72M2jNVGrTC8sGusLuZSvFjiNCmgOhGbKmGuG
 w64YG6zLYkEbNphFwfoRLqq1RZ43+MbmSxfFn3xj6dQSJlpySSUlBAhBQoBoVJdFgL7qfkQ0DAMA
 pJSsVCibhMOFk/n56fwH36VPfs3q2as6i+H2PiGrOyfsSuJ05k7z9XlHsGRo5+ve85+VwULgV1xx
 xf7eomdXRsd2nru4opvLxd27vMHBZGODMoaaEiSOaVkab9nP6mN1q7w9UwJKnlCOYixZe4EuXHj4
 xfxTjzTONlWiKCBBmlEQiABUKMo4TQCREgqEIhChgGgtmeaaC2cQR8doM2DVUoEaIMKOt7QAW2tE
 qlZ3sXrXO2STtr77+cWB/U6BTfZW5k4c51mi82xpqUlmLzrDfff+zLGQGLMbLUng2A1Hp9N2sVq9
 5613QZG025taSyJBI96+U7z1Z7ZVduyNq/u5Pal5xZFtSFdw5cSjP1r77HdXl9JUEa2QAKHAUBuZ
 XTSLPU6l7lUHBwo9NWIZocwQCFCmgCJhEkSOoTE+7l5/N9s2sNdPodBXb6bdFDqamE5zJckcPHrQ
 H55ES2ymYrjeM7Zjz1rbl4yOHj3Wf2Dil255K6XZyeWWolCwWeZ3Bgf6rpwaw7Sz0WyImoFpHjY7
 Gslbj1Z3TThYGSClcW3ajFLwn+62Z0SUHj+59txiYFZ437ZebnKJeanqHTt25K0/f/dtb7jx6mv3
 DW6rZSpgQh+94aqbfvZWp+ItN1Z1Ki1JqYrijSAxq2z/G2/szDecHCVNqdYqBUJ5svSPaaNtjRzQ
 622xNrucG7x3eOrIsT2vv3H3zqt29o1ciFLMM6S2zaQtw4rBxovWsn/x8ZNPtsPQqDAIks5qEwnb
 OVnYM1WigjvMllado6v8acqKnHsVY3P3/m1Hb7yhMt6/sLR4xd4d7/iVX7rnjrfs2jkVdJvf+c7D
 X/ubb5OUnT81O3tmrj5ZvfnOW4tFb/bM2ZTIjEM5TCFaYdb97wvmLtLApyyjma15HivpWfV0ZR5f
 eLjcSaVVMDxz/cKZ9npjaSucC1pRmtcpDFarc835ze56nkUFQ2TYXFyauzg37ZY4ZzTY9DeXN21u
 t0pmfXxPtThsQlX2DORRGyTTcTOnNae+xx3ck7l9nPJ9u3bfeP31E6NjrltK1dpXvv6Vr/79jyHl
 xGBBGJKMLc8u77lq/9UHDs53mt2zKyliDhp1zsbvfgcefWvbg+TKn80KNjZCI8mDgu7fuZtvpMnV
 15ODhyqVii20K7TDdKUg9gzWjSwwqQTIsdvqM1m/Y5xfO7+wNDcy0E+l6qx3WvPrWSdBCaXJEbtc
 jolrV6dcp1dJGsQyI04nTJJYlmt9m91obWuZEVEu9lRK9SjQ7W7zO498r9tN8pgFUVwolPMYVR5O
 7Ni+a2JHLvjxUy+KbkoIN+u9rHz4qDN2JGsFljeSHr3VvObalKHVWCflsaCnqg8enHJLJYwmSub2
 olkVUKFJWcZ9FrMwi1qNbTW3r2Iurc1cWJ4rl0q2ZSZRsnp6cfXcIpOMc0O7ua4YWzreDPwsac+t
 nDsxfQqFy6yyZxeyVPYNjJiuV3BLxUKp02r39teFQc+dmz0/M08wuvPNN28fHzh7+gQTxuuOHe3v
 73vq3HSr3ZZbKRkZhUIP97/+0GZXl/deGzz+CH+qEY9N4uTB8jU3m0k2bMvthf5aH+0FoygIQ53k
 4BVJ1bBtwpSWY31eu7W+uH5henOmv1SOsvTCxYXVjbW1cyuGNDhluVTBfLaxTQfa52pd5hlV2VB1
 2LQGuyoTSg+WK6ZhDdWnut3WyuoCF3Dm5cc1smuvPfzwwz/UOTt18vzMzAynzsjU9j1XHtjotjOL
 pe0sFDafnHRTjxUod84c508/Ym3N66Vp88RTeuZ0IhX1jHHbLrlxH6Z1h1RNWjSAqK6QURy319uN
 tdbq5ub8dOPCXLMhcxUinDs53Zi+2J5eIlGOoDVoraXMk2jLzxPgpcpYT/+59sqi37g4fy5KfYbC
 4FxB18vzla25jgy6UXZm5cK5pfl6f+/+K8ZXllfWVlqo2Y69O3/lPfd1MXx67kyj3bnwwlkrTtOe
 YTF6LQfQAJQykueZ5ExwBH8DZo8nWWNpYttK6oRuJY54gRsGIylmzaAjUeVaadTNIGpFvh+FKk7T
 5ba/0WwtrGCcMaBa60uNDiBJ2wErFZnXp63KZjuNIWLI1lQAhqUIDORVc4j3CTtoNFil2FdwOMrF
 +fN95Z43v/OmMNJMmIWSs7yxtdJcm5mbn55dGTt4w8LcxWKjw8caHEEBIQCqVK6MHLqq2VhN0sgu
 lbLWxtKpVRzoMYfGs1R4XBicBmkklczyfGWtYdpWO0OUisdyc2Y+nGsQpUmmmaaa4CXrERE0N7VO
 fJkYvSdXO6tLfp53mWVkdefM+hJn1uDQRKhErdq3zzKev/Dy2sb6RhxIwlKDzc1cWGm0KDcqteLM
 2aWcEbdncHhsT3f8SmffIfzKj/2nnmDFYokTZlhGO+xmNrN6a/Zgv7RE4vtirQtJluo0MGmU5Rvd
 TjtPG3PLm812LjGIEiWJ32jKlVY4swKp1FIRIBoIuYxHEhCWxpBZ+fBkAnn3wmIyu4StGJ0CEEUI
 pmFSMergcNPmE5V62espOuWSW6l6VatkB0ESJ+m2seEwROa5Vt/QwM79tDjZrQ/khihmEVcaKSVI
 WXlkxBmom9VimCV5lHCvEGTr2emLycJaulIPTYszFkZhstnRfiCEUJZp+mmWJEGWAQCiukxyYa8I
 MEhUlhENcZCfONGxeDi7CH4nokTbBqV9htOhsODHrW29/QfHpxR3d42Yo6N7L26snZt7Lo3kFROT
 /dW6bdiGW3KM3lJ1qjww+dxGy6R9zw851vLLnANBRtESxXo1KxS6qQRJZVea7SjdbLNcyW4Ynr6Y
 cp5LqZUiCIBUYkqZn/8rasXlMynXiKxgWO25WVARjSOGTFKarXXajBiOLZlIKYnWF/1u8+DElF0S
 tuDjgwPaOTYUdgmwarmWJ1nvtl2WqFK7f7md7u0pX+woBjLYRFYpVoExSSGKIrUVJMub/vR8cn55
 /eICzxRF0IA5qlxJqZUG0BSxXC3U66HfAoWX2frThuZVvYgQorkG5JVSRccBzUKDWqgZBSBKY6KS
 XOWGlXGmCMuUXG1tpnGn39Q0icAu95T7i4Wyabqm7VpW2bVrmTZWW92Xw+QHm91EBY5d5AhAAIxM
 wXo3WtmIspQiCIkGAQSQBDQBpi+1RNSyrDxNFLcUMiG1JvT/rNlfFhmhtQa62dwikBpOgVFbBr7A
 LJLU6UCcbBjc2+Sulllk55z6fupXkrUd1R5eDBqsP0ozbjmW43KjlKV+ZhSIQ2Jt2IQof7FT7mNl
 t47lQXvy2tah13UGJyuzi76WTMmcKaaJEmBhDtQlOteoMkKdnlEdBelWg6BGgpd+dAAEoADklQ8u
 da4AQIBS0KAlIOhcyjQioBUSikqDJlrpZjuP84Sz2HLCnLdkF9N4CpfC5tpsx1dWDdOgFXe2ME/D
 3JfkfOA/thR0nv82/19/SHYc4Oq2e7s33L1eHSM04+svRGeegYU2RaCkktfrQthJ3BWmkW8tsyQw
 JUbdlkxjBohAEPWr/v7X8C9aWAC4JGRcylRa6ziO2cxCd2Oj0N9jm2a4s/Y01wM6OFhY5aieTaKM
 Cxs9l0crQFeUEUlj4/xp45FHoqxZeOhrXL/wfGH34aZdix2oPfyQmJ/Ja2PJ4dv97VOy3ltsd3Ft
 2nzi+7FSDEBrpROfAV4ygtKfOvuScZTSy43WWhPy01UAJIRQShHxUtbSWgOAyCQ0/cSPM0ZpsxVz
 9ZMxb2I8jZ3NVZP6dpFL0mQrnSQLVrrdM0ts+pQOWp7GNr7IrfZZ9p2/GLjqDRcGRjy7mGFOTDMe
 3ObEmCWBfuhBY/YHoeQWZkgwYUKoHIEgImpEcrmPyeU96/81Mpcj4pogQJZSztRSQ0Lw/fWKuWqr
 ysyMkwaFIi0P5hca2fp6uLSASSBTKolMqGson4wNbbOcouVVCDPjPPJXF3NCWN8QrY7j7kPiG18K
 8yUSUwAEopTKtUJKEk48qVNUVFGiQDOGVJmaAwUlFCqmiZKxRY2MpCgMnQkgipiMZEwKpBjxlKLN
 tGYAWoJikpMkJAVHK6RUKeAAAlB7jBiWWSylCqkf5DKghKI0JUMuJdWokDDPKzLOCRK/203DlgKq
 jUKMBg9WZKNJC7ZAU0YdAEDQSknQKVpVUu2JeYHHXYqKEgBmCGqj4MQ0iRAuFDktaOGxGKjOKWLK
 hHJLDHzNGFCDITfBVIxInikWpUC9jBJSVQYHRIIpgUxRqSUyylSW5WmiFRPUAE2ophRJxnguDMUI
 B0IJAEMpdIaMH7vjrhtvu8tgpm9VbKIzBnLp9Ec+8KuIWkmFiBT5yNT1v/mJDz311Om/+tgHaBpS
 ak/svubIfb/eM9QnGNQK3khZbvj5fHfz4S98bu7731KEDWzf8cH/9icP/f03jG3jldFteRx3PFrI
 YPmx75946MsCmxF3Dr39/r23XfPsxz95/uSzCkBx1ytM7N23p1gqaFQpZJ5pCy2/+82vIxG9U7vu
 fNNdLzz2KCeUUUIoaAby1rvedu+73vuXf/FXq6dOEuz4rv7FX/jNlmCEEACqUSMiodb+gzd3g/Dg
 noNfqY8GjcWh0YkPfuxT3zv+xNzJl0WeN4FfAMnLQ1fdcuxHOZVMa2CdTlKp9CkTdh0cH+4fXHjq
 mb5uYNb67v/Qr32Wrf7gq1+LC4Xtuw7duv1aeuS6mZeeo8SpDux//0d/p1T0zp49SYkmhnP44NWW
 Vt989CHTLd7+i/eZpnX2hdOcIFINCpn2Sre//Zceeew73/raX9tx6gvppbR9++rJxS2ELMslouKg
 sTpw1a2HnnjyxB1H9vdcfXPyrT/befNds8svPfjZTzmt1YymHG1Fcm/3jbtuum73cO/z6BZUlGiI
 dOgnaVrqPb+08KWP/kZGUnQn+Cc+cfi2n3/s7x6u9By8+sD4nz/70i8ce+OXv/iFgA3c+B9/q2U7
 f/Rr7+5sNi0R58Rp/9bn+nZUGTcP3fq263Yd/NCv/4c89+mrxVMpZdhFPrT92G98aPdv/95tH/ig
 N75TB8G+kkdzwSUaCEDZ0NDN11UKTzz4wI8udo/cfTMDazloTdV39o1Ppduuxp035OWehEC+tFLR
 fF0xs+TQctkq1UwQPUMDXisaJHbuuAVhloQoOs7aRiANe+jamyOzduLvPheYdnVsu2XRKyd7Hv3K
 3zeXZiBp6yQw01Bb0slZfc+ht993zxc++4nW+hzqmAMBAsAoJRorNNnDcNiyAeiW5c0BVa5YDPxc
 SwZSE5YS95qfO/Lo2Z80wq3jzz7+wfe8+5s7dpx78vuL9/7cH37kw4q4vtBW2PzUJz++8NJ8yTV/
 4d+8c/S2+x3dLRULV4z23H/fvZ5RpFn8R59/IEzESKVeHSl+888/bnmlO288ePL5H7XPP/OT507e
 esc9f/3Ag26SZJ2QqpRShorETLPlDbVv/Lf+y++ePnXy1PNPcRUiJRw1akQpJTfEeg4f+/jHN+bO
 EBoh2kYKWXaXVa7nIkbMFCk4vRPX7tn71KkTg296Z7NvuAvyyJvufOwT//0P3v3L5vAhM+1CvfyO
 d733jb/47/944aMt7Hzy9z+63mzTklPbcWDX2C9/8iOffP2b3ujaxje/9FckCyqF/rf86nsPveWd
 s/jYgb3bH/rM1/jANS93t+6946bis+eicjX0c8qFAkAiCLHdkb4xp7i+OT+5fWdvsdzqbkgQnABR
 SluGCstTsRZEmSSPFXKKaQRGuNZ8/Ruv//HUta2zL2mwth08OlTnt+ydvG3XuC1QxuEbbrr5u5/5
 jGhv5luPJSQJZysv77t17+Eh1rcjSuDiwrJafjEnjm8U1oJ86fziJrHyra3zjz2kCJG6WDu0/+1v
 fMvtVx8gpvPe9/5arFnVhN2F0uCf/M4wd3t3jC8/WTSgK4mWuhvWRkjU+PSffnpqeM+b/t27v/SR
 34Us5gQ1AiWUmJBr1DmRimRUUSSaIPnew9943U0/+7k//fwXfvh4oxNdM7nrW2eXH/zw+7xgK0Ex
 ePCWD//Bx2589/tdxUYtfCIIEmLtv/7A3PEfUpPYEnJKctA5aMOwqO2FCAyYaZWMgTGmwCjVx6Z2
 /u1jj22b2PGTF3987ot/q62cgnvwnW/fYQw/EG393NvvXc23umfOqxzspdm1CJ49eaH95DP/WDm3
 7/B/3fG62888/hAnqJEy0Ahx6/nvfYOrBFAzFIpSKtXmwuzvvO9dN915y3BpytXG5vL0i2dm89ZG
 nrRzYsytnP3xDx7ZPTxet6u0EN+TuGma/fAHf/fUl/5H4cDrls6f5igTIEQrIw07F6ZNloQXp2+9
 8diuz3wmz5ymTE6emXnuwtyuie3Hv/9tPXdGsxDBm/1y+aYP/d5ffvQv+sD9wP3vbxm6Foq/+dxv
 C72VYKbRx1b04P984D+9+32/P/0smRgYIVa1aKotiTSOskznss1kSTJN81TpWDJFCVcUAJgBNmCc
 ZQAUNEkNsKVtOcJVnm0Jy2+ucpXKLBNZGHvDwkVsZzLrmgqyykBB+4FCr9rLY9XlCQuyzJCur8Ni
 pZB30zBKKGGaKJaZ3qC0zHIetJS2DLdIeGxomuTSKlo8764uMEVVxe2pDkfCI0XXMU1XcCOXaZpn
 UuaACBoJoH6FlMEl2oZIgGjyU7J56dbkn3gbIkUgAIqA/idm+oowAYwAEIpaa0IoIAEgSDQAQbx0
 5fLTm0JGmX6FETIATSShVCOFVwgiIgL5JzEe8LUXX6/hNbyG1/D/hv8NqW/xEUx8bEEAAAAASUVO
 RK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

#GAME_VERSION := $(shell head debian/changelog -n1 | sed -n 's/.* (\(.*\)) .*/\1/p')
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.maemo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) -f Makefile.maemo clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	cp data/reminiscence.png debian/reminiscence/usr/share/icons/hicolor/64x64/apps/
	cp data/reminiscence.desktop debian/reminiscence/usr/share/applications/hildon/

	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	#dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	#maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## reminiscence 0.2.1.1

=== debian/changelog ===
reminiscence (0.2.1.1) unstable; urgency=low

  * Changed data dir to /home/user/MyDocs/FLASHDATA

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 15:04:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}
 Description: REminiscence is a rewrite of the engine used in the game Flashback from Delphine Software.
- To play the game you need to put the original DOS version data files in /opt/maemo/usr/games/rsdata
+ To play the game you need to put the original DOS version data files in /home/user/MyDocs/FLASHDATA
 XSBC-Homepage: http://cyxdown.free.fr/reminiscence/
 XSBC-Bugtracker: http://cyxdown.free.fr/reminiscence/
 XB-Maemo-Display-Name: REminiscence
